<template>
  <div class="mt-[60px]">
    <utils-mobile-banner
      :theme-properties="themeProperties"
      :actived="'GameInitial'"
    />
    <MGameEntry />
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import MGameEntry from "./components/MGameEntry.client.vue";
import { store } from "~~/store";

export default defineComponent({
  name: "Game",
  components: {
    MGameEntry,
  },
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    return {
      themeProperties,
    };
  },
});
</script>

<style scoped></style>
